# Return a cPanel account’s service proxying setup

This function reports a cPanel account's
service proxying
configuration.

Endpoint: GET /ServiceProxy/get_service_proxy_backends
Version: 11.136.0.4
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_service_proxy_backends"

  - `module` (string)
    The name of the module called.
    Example: "ServiceProxy"

  - `result` (object)

  - `result.data` (array)
    The account’s service proxying backends.

  - `result.data.backend` (string)
    The name of the server to which the system will proxy requests for this service group.
    Example: "example.com"

  - `result.data.service_group` (string,null)
    The name of the proxying service group, if applicable.

* null — The account’s general service proxying backend.
    Example: "Mail"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


